[jitsi-dev] meet jitsi compilation


#1

Hi,

Using "compatible version" as ^... matches latest version 1.12.0 and
not 1.10.5 (matches >=1.10.5 < 2.0.0). And this version is not
compatible with current jitsi-meet.
This is now fixed.

Regards
damencho

···

On Tue, May 3, 2016 at 7:49 AM, Marek Červenka <cervajs@fpf.slu.cz> wrote:

hi,

i'm trying compile meet jitsi on debian 8.4 (todays git master)

....

babylon@6.7.1-test.2
node_modules/babel-preset-es2015/node_modules/babel-plugin-transform-es2015-object-super/node_modules/babel-helper-replace-supers/node_modules/babel-template/node_modules/babylon
└── babel-runtime@6.6.1 (core-js@2.3.0)
babylon@6.7.1-test.2
node_modules/babel-preset-es2015/node_modules/babel-plugin-transform-es2015-computed-properties/node_modules/babel-helper-define-map/node_modules/babel-types/node_modules/babel-traverse/node_modules/babylon
└── babel-runtime@6.6.1 (core-js@2.3.0)
./node_modules/.bin/browserify -d -e app.js -s APP |
./node_modules/.bin/exorcist ./app.bundle.js.map > ./app.bundle.js
Error: module not found: "jquery-ui" from file /root/jitsi-meet/app.js
    at onresolve
(/root/jitsi-meet/node_modules/browserify/node_modules/module-deps/index.js:162:30)
    at /root/jitsi-meet/node_modules/browserify/index.js:489:18
    at
/root/jitsi-meet/node_modules/browserify/node_modules/browser-resolve/index.js:246:21
    at
/root/jitsi-meet/node_modules/browserify/node_modules/resolve/lib/async.js:55:18
    at load
(/root/jitsi-meet/node_modules/browserify/node_modules/resolve/lib/async.js:69:43)
    at onex
(/root/jitsi-meet/node_modules/browserify/node_modules/resolve/lib/async.js:92:31)
    at
/root/jitsi-meet/node_modules/browserify/node_modules/resolve/lib/async.js:22:47
    at Object.oncomplete (fs.js:107:15)
The code that you piped into exorcist contains no source map!
Therefore it was piped through as is and no external map file generated.
./node_modules/.bin/uglifyjs -p relative ./app.bundle.js -o
./app.bundle.min.js --source-map ./app.bundle.min.map --in-source-map
./app.bundle.js.map

fs.js:436
  return binding.open(pathModule._makeLong(path), stringToFlags(flags),
mode);
                 ^
Error: ENOENT, no such file or directory './app.bundle.js.map'
    at Object.fs.openSync (fs.js:436:18)
    at Object.fs.readFileSync (fs.js:290:15)
    at Object.<anonymous>
(/root/jitsi-meet/node_modules/uglify-js/bin/uglifyjs:263:30)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
    at node.js:906:3
Makefile:44: recipe for target 'uglify' failed
make: *** [uglify] Error 8

any ideas why jquery-ui is not located?

--
---------------------------------------
Marek Cervenka

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev